import * as wt from '@waves/waves-transactions';
export declare class WavesConsoleAPI {
    static env: any;
    [key: string]: any;
    private static injectEnv;
    static setEnv(env: any): void;
    private bufferToBase64;
    alias: (po: wt.TTxParams<string | number>, seed?: string | import("@waves/waves-transactions/dist/types").IIndexSeedMap | (string | null | undefined)[] | null | undefined) => wt.IAliasTransaction<string | number> & wt.WithId;
    burn: (po: wt.TTxParams<string | number>, seed?: string | import("@waves/waves-transactions/dist/types").IIndexSeedMap | (string | null | undefined)[] | null | undefined) => wt.IBurnTransaction<string | number> & wt.WithId;
    cancelLease: (po: wt.TTxParams<string | number>, seed?: string | import("@waves/waves-transactions/dist/types").IIndexSeedMap | (string | null | undefined)[] | null | undefined) => wt.ICancelLeaseTransaction<string | number> & wt.WithId;
    cancelOrder: (po: wt.TTxParams<string | number>, seed?: string | import("@waves/waves-transactions/dist/types").IIndexSeedMap | (string | null | undefined)[] | null | undefined) => wt.ICancelOrder;
    data: (po: wt.TTxParams<string | number>, seed?: string | import("@waves/waves-transactions/dist/types").IIndexSeedMap | (string | null | undefined)[] | null | undefined) => wt.IDataTransaction<string | number> & wt.WithId;
    issue: (po: wt.TTxParams<string | number>, seed?: string | import("@waves/waves-transactions/dist/types").IIndexSeedMap | (string | null | undefined)[] | null | undefined) => wt.IIssueTransaction<string | number> & wt.WithId;
    reissue: (po: wt.TTxParams<string | number>, seed?: string | import("@waves/waves-transactions/dist/types").IIndexSeedMap | (string | null | undefined)[] | null | undefined) => wt.IReissueTransaction<string | number> & wt.WithId;
    lease: (po: wt.TTxParams<string | number>, seed?: string | import("@waves/waves-transactions/dist/types").IIndexSeedMap | (string | null | undefined)[] | null | undefined) => wt.ILeaseTransaction<string | number> & wt.WithId;
    massTransfer: (po: wt.TTxParams<string | number>, seed?: string | import("@waves/waves-transactions/dist/types").IIndexSeedMap | (string | null | undefined)[] | null | undefined) => wt.IMassTransferTransaction<string | number> & wt.WithId;
    order: (po: wt.TTxParams<string | number>, seed?: string | import("@waves/waves-transactions/dist/types").IIndexSeedMap | (string | null | undefined)[] | null | undefined) => wt.IOrder<string | number> & wt.WithId;
    transfer: (po: wt.TTxParams<string | number>, seed?: string | import("@waves/waves-transactions/dist/types").IIndexSeedMap | (string | null | undefined)[] | null | undefined) => wt.ITransferTransaction<string | number> & wt.WithId;
    setScript: (po: wt.TTxParams<string | number>, seed?: string | import("@waves/waves-transactions/dist/types").IIndexSeedMap | (string | null | undefined)[] | null | undefined) => wt.ISetScriptTransaction<string | number> & wt.WithId;
    setAssetScript: (po: wt.TTxParams<string | number>, seed?: string | import("@waves/waves-transactions/dist/types").IIndexSeedMap | (string | null | undefined)[] | null | undefined) => wt.ISetAssetScriptTransaction<string | number> & wt.WithId;
    contractInvocation: (po: wt.TTxParams<string | number>, seed?: string | import("@waves/waves-transactions/dist/types").IIndexSeedMap | (string | null | undefined)[] | null | undefined) => wt.IContractInvocationTransaction<string | number> & wt.WithId;
    signTx: (po: wt.TTxParams<string | number>, seed?: string | import("@waves/waves-transactions/dist/types").IIndexSeedMap | (string | null | undefined)[] | null | undefined) => wt.TTx<string | number>;
    addressBalance: (address: string, apiBase?: string | undefined) => Promise<number>;
    addressDataByKey: (address: string, key: string, apiBase?: string | undefined) => Promise<string | number | Uint8Array | null>;
    broadcast: (tx: wt.TTx<string | number>, apiBase?: string | undefined) => Promise<any>;
    file: (tabName?: string | undefined) => string;
    contract: () => string;
    keyPair: (seed?: string | undefined) => import("@waves/waves-crypto").KeyPair;
    publicKey: (seed?: string | undefined) => string;
    privateKey: (seed: string) => string;
    address: (seed?: string | undefined, chainId?: string | undefined) => string;
    compile: (code: string) => string;
    deploy: (params?: {
        fee?: number | undefined;
        senderPublicKey?: string | undefined;
        script?: string | undefined;
    } | undefined, seed?: string | import("@waves/waves-transactions/dist/types").IIndexSeedMap | (string | null | undefined)[] | undefined) => Promise<any>;
    help: (func?: Function | undefined) => string;
}
/**
 * Item for commands list
 *
 * @interface IWavesConsoleAPIHelpCommand
 */
export interface IWavesConsoleAPIHelpCommand {
    readonly summary?: string;
    readonly description?: string;
    readonly params?: Array<string> | null;
}
/**
 * Item for variables types list
 *
 * @interface IWavesConsoleAPIHelpVariable
 */
export interface IWavesConsoleAPIHelpVariable {
    readonly optional?: boolean;
    readonly type?: string;
    readonly summary?: string;
}
/**
 * Item for common texts pieces (headers, etc)
 *
 * @interface IWavesConsoleApiHelpCommon
 */
export interface IWavesConsoleApiHelpCommon {
    readonly header?: string;
    readonly summary?: string;
}
/**
 * Help parsers and text compilers
 *
 * @static
 * @class WavesConsoleAPIHelp
 */
export declare class WavesConsoleAPIHelp {
    /**
     * Common texts pieces
     *
     * @static
     * @member {object} common
     */
    static common: {
        [key: string]: IWavesConsoleApiHelpCommon;
    };
    /**
     * Commands descriptions vocabulary
     *
     * @static
     * @member {object} texts
     */
    static texts: {
        [key: string]: IWavesConsoleAPIHelpCommand;
    };
    /**
     * Variables types vocabulary
     *
     * @static
     * @member {object} types
     */
    static types: {
        [key: string]: IWavesConsoleAPIHelpVariable;
    };
    /**
     * Generates API method argument(s) whole description
     *
     * @static
     * @method compileText
     *
     * @param {Array} aliases
     *
     * @returns {string}
     */
    static compileText(aliases: Array<string>): string;
    /**
     * Generates API method arguments description
     *
     * @static
     * @method compileTextArguments
     *
     * @param {Array} args
     * @param {string} text
     *
     * @returns {string}
     */
    static compileTextArguments(args: Array<string>, text: string): string;
    /**
     * Generates API specified method description
     *
     * @static
     * @method compileTextSlice
     *
     * @param {string} alias
     * @param {boolean} full
     * @param {string} text
     *
     * @returns {string}
     */
    static compileTextSlice(alias: string, full: boolean, text: string): string;
}
