import * as React from 'react';
export interface IInputProps {
    inputRef: any;
    onRun: any;
    autoFocus: any;
    onClear: any;
    theme: string;
    history: Array<string>;
    addHistory: any;
    value?: string;
}
export interface IInputState {
    value: string;
    multiline: boolean;
    rows: number;
    historyCursor: number;
    hideSuggest: boolean;
}
export interface ISuggestRootProps {
    value?: string;
    commands?: string[];
    dropdown?: boolean;
    theme?: string;
}
export interface ISuggestItemProps {
    title: string;
    selected?: boolean;
}
export declare class Input extends React.Component<IInputProps, IInputState> {
    private input?;
    static commandsVocabulary: {
        [key: string]: import("../../WavesConsoleAPI").IWavesConsoleAPIHelpCommand;
    };
    static commandsList: Array<string>;
    static commasAndQuotes: {
        [key: string]: string;
    };
    constructor(props: IInputProps);
    onChange(): void;
    onKeyPress(event: React.KeyboardEvent): Promise<void>;
    checkClearAction(event: React.KeyboardEvent, code: string): boolean;
    checkShowSuggestAction(event: React.KeyboardEvent, code: string): boolean;
    checkHideSuggestAction(event: React.KeyboardEvent, code: string): boolean;
    checkAutoclosingAction(event: React.KeyboardEvent): void;
    checkNotMultilineActions(event: React.KeyboardEvent, code: string, input: HTMLTextAreaElement): boolean;
    getCurrentCommandPiece(): string | undefined;
    setClosingBracketIntoInput(open?: string): void;
    setCaretAfterClosingBracket(event: React.KeyboardEvent): void;
    setClosingQuoteOrSetCaretAfterClosingQuateIntoInput(event: React.KeyboardEvent): void;
    unsetClosingBracketOrQuoteIntoInput(): void;
    setCommandIntoInput(): void;
    setInputCaretPosition(position: number): void;
    setInputValue(value: string): void;
    getFilteredCommandsList(): Array<string>;
    render(): JSX.Element;
    createSuggest(dropdown: boolean): JSX.Element;
    createTextarea(): JSX.Element;
}
