"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const Settings_1 = require("../actions/Settings");
const Input_1 = require("../actions/Input");
const Env_1 = require("../actions/Env");
const save = (key, value, store = 'session') => {
    try {
        const storage = store === 'session' ? window.sessionStorage : window.localStorage;
        storage.setItem(`jsconsole.${key}`, JSON.stringify(value));
    }
    catch (e) {
    }
};
const saveToStorage = (store) => (next) => (action) => {
    const nextAction = next(action);
    const state = store.getState(); // new state after action was applied
    if (action.type === Settings_1.SET_THEME || action.type === Settings_1.SET_LAYOUT) {
        save('settings', state.settings, 'local');
    }
    if (action.type === Input_1.ADD_HISTORY) {
        save('history', state.history);
    }
    if (action.type === Env_1.SET_ENV) {
        save('env', state.env);
    }
    return nextAction;
};
exports.default = saveToStorage;
