"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const contextBinding_1 = require("../lib/contextBinding");
const Env_1 = require("../actions/Env");
const syncIFrameEnv = (store) => (next) => (action) => {
    const nextAction = next(action);
    const state = store.getState(); // new state after action was applied
    if (action.type === Env_1.SET_ENV) {
        contextBinding_1.updateIFrameEnv(state.env);
    }
    return nextAction;
};
exports.default = syncIFrameEnv;
