"use strict";
var __rest = (this && this.__rest) || function (s, e) {
    var t = {};
    for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p) && e.indexOf(p) < 0)
        t[p] = s[p];
    if (s != null && typeof Object.getOwnPropertySymbols === "function")
        for (var i = 0, p = Object.getOwnPropertySymbols(s); i < p.length; i++) if (e.indexOf(p[i]) < 0)
            t[p[i]] = s[p[i]];
    return t;
};
Object.defineProperty(exports, "__esModule", { value: true });
const React = require("react");
const react_redux_1 = require("react-redux");
const store_1 = require("./core/store");
const Env_1 = require("./core/actions/Env");
const Settings_1 = require("./core/actions/Settings");
const App_1 = require("./core/containers/App");
require("./css/index.css");
require("./core/jsconsole.css");
const WavesConsoleAPI_1 = require("./WavesConsoleAPI");
const WavesConsoleMethods_1 = require("./WavesConsoleMethods");
class Repl extends React.Component {
    constructor(props) {
        super(props);
        this.updateEnv = (env) => {
            this.store.dispatch(Env_1.setEnv(env));
        };
        this.store = store_1.default();
        this.API = new WavesConsoleAPI_1.WavesConsoleAPI();
        if (props.theme) {
            this.store.dispatch(Settings_1.setTheme(props.theme));
        }
    }
    componentDidMount() {
        this.methods = new WavesConsoleMethods_1.default(this.consoleRef);
    }
    render() {
        const _a = this.props, { theme } = _a, rest = __rest(_a, ["theme"]);
        return (React.createElement(react_redux_1.Provider, { store: this.store },
            React.createElement(App_1.App, { consoleRef: (el) => this.consoleRef = el, api: this.API, methods: this.methods })));
    }
}
exports.Repl = Repl;
